/* ACM-ICPC Archive: Little Tiger vs. Deep Monkey. */

#include <stdio.h>

int         i, j, t, n, a[40], maxc;
long long   c[40000 + 1];
long double cumsum, wantedsum;
float       p;

int main(void)
{
    scanf("%d", &t);

    while (t--)
    {
        scanf("%d %f", &n, &p);

        maxc = 0;
        for (i = 0; i < n; i++)
        {
            scanf("%d", a + i);
            maxc += a[i];
        }

        c[0] = 1LL;
        for (i = 0; i < n; i++)
            for (j = maxc; j >= a[i]; j--)
                c[j] += c[j - a[i]];

        wantedsum = 1;
        for (i = 0; i < n ; i++)
            wantedsum *= 2;

        wantedsum *= p;

        cumsum = 0;
        for (i = 0; i <= maxc; i++)
        {
            cumsum += c[i];

            if (cumsum >= wantedsum)
                break;
        }

        printf("%d\n", i);

        for (i = 0; i <= maxc ; i++)
            c[i] = 0;
    }

    return 0;
}
